package info.textgrid.middleware;


import org.apache.commons.logging.LogFactory;
import info.textgrid.middleware.oaipmh.GetRecordType;
import info.textgrid.middleware.oaipmh.HeaderType;
import info.textgrid.middleware.oaipmh.MetadataType;
import info.textgrid.middleware.oaipmh.RecordType;


public class RecordDelivererIDIOM extends RecordDelivererAbstract {

  private String[] fields;
  private String[] workFields;
  private String dateOfObjectCreation;
  private String repositoryObjectURIPrefix;


  private static org.apache.commons.logging.Log log = LogFactory.getLog(RecordDelivererDC.class);



  /**
   * @param textgrid
   * @param dariah
   */
  public RecordDelivererIDIOM(boolean textgrid, boolean dariah) {
    super(textgrid, dariah);
  }

  /*
   * (non-Javadoc)
   * 
   * @see info.textgrid.middleware.RecordDelivererInterface#getRecordById(java.lang.String)
   */
  public GetRecordType getRecordById(String id) {
    System.out.println("Enter idiom");

    System.out.println("ID: " + id);

    GetRecordType grt = new GetRecordType();
    RecordType record = new RecordType();

    record.setMetadata(idiomMets());
    grt.setRecord(record);

    return grt;
  }

  public MetadataType idiomMets() {
    MetadataType metadataMets = new MetadataType();

    ClassicMayanMetsMods metsmods = new ClassicMayanMetsMods("textgrid:2557q",
        "2016-02-18T11:15:19.899+01:00", "2018-02-02T12:12:34.113+01:00");
    System.out.println(metsmods.getMets());
    // metadataMets.setAny(metsmods);

    return metadataMets;
  }

  // **
  // PRIVATE METHODS
  // **

  /**
   * @param dateOfCreation
   * @param identifier
   * @param record
   * @return
   */
  private static RecordType setRecordHeader(String dateOfCreation, String identifier,
      RecordType record) {

    HeaderType recordHeader = new HeaderType();
    recordHeader.setIdentifier(identifier);
    recordHeader.setDatestamp(dateOfCreation);
    // record.setMetadata();
    record.setHeader(recordHeader);

    return record;
  }

  /**
   * @param id
   * @return
   */



}
